/*
Author       : Keeway
Template Name: Keeway - Digital Agency WordPress Theme
Version      : 1.0
*/

(function($) {
	'use strict';
	
	
	/*PRELOADER JS*/
	$(window).load(function() { 
		$('.status').fadeOut();
		$('.preloader').delay(350).fadeOut('slow'); 
	}); 
	/*END PRELOADER JS*/
	
	jQuery(document).ready(function(){
	
	     // Select all links with hashes
        $('#navigation a[href*="#"]')
          // Remove links that don't actually link to anything
          .not('[href="#"]')
          .not('[href="#0"]')
          .click(function(event) {
        	// On-page links
        	if (
        	  location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') 
        	  && 
        	  location.hostname == this.hostname
        	) {
        	  // Figure out element to scroll to
        	  var target = $(this.hash);
        	  target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
        	  // Does a scroll target exist?
        	  if (target.length) {
        		// Only prevent default if animation is actually gonna happen
        		event.preventDefault();
        		$('html, body').animate({
        		  scrollTop: target.offset().top
        		}, 1000, function() {
        		  // Callback after animation
        		  // Must change focus!
        		  var $target = $(target);
        		  $target.focus();
        		  if ($target.is(":focus")) { // Checking if the target was focused
        			return false;
        		  } else {
        			$target.attr('tabindex','-1'); // Adding tabindex for elements not focusable
        			$target.focus(); // Set focus again
        		  };
        		});
        	  }
        	}
          });
	
		// jQuery Lightbox
			$('.lightbox').venobox({
				numeratio: true,
				infinigall: true
			});	
			
			
		// Active Slick Nav 			
		$('#main-menu').slicknav({
			label: '',
			duration: 1000,
			easingOpen: "easeOutBounce", //available with jQuery UI
			prependTo:'#mobile_menu',
			closeOnClick: true,
			easingClose:"swing", 
			easingOpen:"swing", 
			openedSymbol: "&#9660;",
			closedSymbol: "&#9658;" 	
		});
	
		// Active fixed-top	
		if ($(window).scrollTop() > 200) {
              $('.fixed-top').addClass('menu-bg');
          } else {
              $('.fixed-top').removeClass('menu-bg');
          }
			$(window).on('scroll', function(){
				if ( $(window).scrollTop() > 70 ) {
					$('.site-navigation, .header-white, .header').addClass('navbar-fixed');
				} else {
					$('.site-navigation, .header-white, .header').removeClass('navbar-fixed');
				}
			});			
		/*END MENU JS*/			
		
		/*START PROGRESS-BAR JS*/
	    $('.progress-bar > span').each(function(){
			var $this = $(this);
			var width = $(this).data('percent');
			$this.css({
				'transition' : 'width 2s'
			});
			
			setTimeout(function() {
				$this.appear(function() {
						$this.css('width', width + '%');
				});
			}, 500);
		});
		/*END PROGRESS-BAR JS*/
		
		
		/*START MIXITUP JS*/
		

			jQuery('#portfolio .row').mixitup({
				targetSelector: '.grid-item',
			});

		/*END MIXITUP JS*/
								
		/*START COUNDOWN JS*/
		$('.counter-area').on('inview', function(event, visible, visiblePartX, visiblePartY) {
			if (visible) {
				$(this).find('.timer').each(function () {
					var $this = $(this);
					$({ Counter: 0 }).animate({ Counter: $this.text() }, {
						duration: 2000,
						easing: 'swing',
						step: function () {
							$this.text(Math.ceil(this.Counter));
						}
					});
				});
				$(this).unbind('inview');
			}
		});
		/*END COUNDOWN JS */		
		
		/*START OLD COUNDOWN JS*/
		$('.counter').on('inview', function(event, visible, visiblePartX, visiblePartY) {
			if (visible) {
				$(this).find('.timer').each(function () {
					var $this = $(this);
					$({ Counter: 0 }).animate({ Counter: $this.text() }, {
						duration: 2000,
						easing: 'swing',
						step: function () {
							$this.text(Math.ceil(this.Counter));
						}
					});
				});
				$(this).unbind('inview');
			}
		});
		/*END OLD COUNDOWN JS */

		  
		// YouTubePopUp		
		
		jQuery("a.modal_icon").YouTubePopUp({ 
			autoplay: 0 
		});	
		
		/*END YouTubePopUp	 JS*/
		
		/*START PARTNER LOGO*/
		$('.partner').owlCarousel({
		  loop: true,
		  items : 4,
			responsive:{
				0:{
					items:1
				},
				600:{
					items:2
				},            
				960:{
					items:3
				},
				1200:{
					items:4
				}
			}
		});
		/*END PARTNER LOGO*/
		
		/*START TESTIMONIAL JS*/
		$('.carousel').carousel({
			interval:5000,
			pause:'false',
		});
		/*END TESTIMONIAL JS*/
	
		// Owl Carousel for Testimonials	
		var testiCarousel = $('.testimonials_carousel');
		testiCarousel.owlCarousel({
			loop:true,
			autoplay:false,
			dots:false,
			nav: true,
			navText: ["<i class=' ti-arrow-left '></i>", "<i class=' ti-arrow-right '></i>"],
			items:1,
			responsive:{
				0:{
					items:1
				},
				600:{
					items:1
				},            
				960:{
					items:1
				},
				1200:{
					items:1
				}
			}			
		});	
		

	}); 	

	/* WOW */
	new WOW().init();
				
})(jQuery);


  

