<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Keeway
 */
$categories_list = get_the_category_list( esc_html__( '  ', 'keeway' ) );
$tags_list = get_the_tag_list( '', esc_html__( ', ', 'keeway' ) );
$keeway_embede_code = get_post_meta(get_the_ID(), '_keeway_embed_code', true);

?>


<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	
	<div class="home_single_blog">
	
		<?php if($keeway_embede_code){ ?>
		
			<div class="embed-responsive embed-responsive-16by9 post_audio_video">
				<?php echo keeway_wp_kses($keeway_embede_code); ?>
			</div>
			
		<?php }elseif(has_post_thumbnail()){ ?>
			<div class="post_img">
				<?php if(is_single()){ ?>
					<?php the_post_thumbnail('keeway_image_840_430', array('class' => 'img-responsive post_image ')); ?>
				<?php }else{ ?>
					<a href="<?php the_permalink();?>">
						<?php the_post_thumbnail('keeway_image_850_530', array('class' => 'img-responsive blog-photo', ));?>
					</a>
				<?php } ?>
			</div>		
		<?php } ?>
		
		<div class="home_blog_text">
			<div class="post_meta">
				<span><i class="ti-timer"></i> <?php echo esc_html(get_the_time( get_option('date_format')));?></span>
				<span><i class="ti-user"></i> <?php esc_html_e('by' , 'keeway');?> <?php keeway_author(); ?></span>
				<?php if($categories_list){?>
					<span><i class="ti-files"></i> <?php echo keeway_wp_kses($categories_list); ?></span>
				<?php } ?>
			</div>		
	

			<div class="entry-content">
				<?php				
					the_content();
					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'keeway' ),
						'after'  => '</div>',
					) );
				?>
			</div><!-- .entry-content -->
					
				<?php 
					keeway_social_share_option();
				?>	
		
		</div>
		
	</div>
</article>
