<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Keeway
 */
$categories_list = get_the_category_list( esc_html__( ', ', 'keeway' ) );
$tags_list = get_the_tag_list( '', esc_html__( ', ', 'keeway' ) );
$keeway_embede_code = get_post_meta(get_the_ID(), '_keeway_embed_code', true);

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	
	<div class="home_single_blog">
		<?php if($keeway_embede_code){ ?>
		<div class="post_audio_video embed-responsive embed-responsive-16by9">
			<?php echo keeway_wp_kses($keeway_embede_code); ?>
		</div>
		<?php } ?>
		
		<div class="home_blog_text">
			<div class="post_meta">
				<?php if(is_sticky()){ ?>
					<span class="sticky_meta"><i class="ti-pin stiky_icon"></i> <?php esc_html_e('Sticky' , 'keeway');?></span>
				<?php } ?>
				<span><i class="ti-timer"></i> <?php echo esc_html(get_the_time( get_option('date_format')));?></span>
				<span><i class="ti-user"></i> <?php esc_html_e('by' , 'keeway');?> <?php keeway_author(); ?></span>
				<?php if($categories_list){ ?>
				<span><i class="ti-files"></i> <?php echo keeway_wp_kses($categories_list); ?></span>
				<?php } ?>
			</div>	

			<?php 
			
			the_title( '<h4 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h4>' ); 
			
			?>

		
			<div class="entry-content">			
				<?php the_excerpt();?>
				
				<?php

					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'keeway' ),
						'after'  => '</div>',
					) );
				?>
			</div><!-- .entry-content -->
		
			<a class="blog_btn" href="<?php the_permalink();?>"><?php esc_html_e('Learn More' , 'keeway');?></a>	
		</div>
	</div>

</article><!-- #post -->
