<?php


if ( ! function_exists('keeway_features_area') ) {

// Register Custom Post Type
function keeway_features_area() {

	$labels = array(
		'name'                  => esc_html_x( 'Features', 'Post Type General Name', 'keeway' ),
		'singular_name'         => esc_html_x( 'Feature', 'Post Type Singular Name', 'keeway' ),
		'menu_name'             => esc_html__( 'Feature', 'keeway' ),
		'name_admin_bar'        => esc_html__( 'Feature', 'keeway' ),
		'archives'              => esc_html__( 'Item Archives', 'keeway' ),
		'attributes'            => esc_html__( 'Item Attributes', 'keeway' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'keeway' ),
		'all_items'             => esc_html__( 'All Items', 'keeway' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'keeway' ),
		'add_new'               => esc_html__( 'Add New', 'keeway' ),
		'new_item'              => esc_html__( 'New Item', 'keeway' ),
		'edit_item'             => esc_html__( 'Edit Item', 'keeway' ),
		'update_item'           => esc_html__( 'Update Item', 'keeway' ),
		'view_item'             => esc_html__( 'View Item', 'keeway' ),
		'view_items'            => esc_html__( 'View Items', 'keeway' ),
		'search_items'          => esc_html__( 'Search Item', 'keeway' ),
		'not_found'             => esc_html__( 'Not found', 'keeway' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'keeway' ),
		'featured_image'        => esc_html__( 'Featured Image', 'keeway' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'keeway' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'keeway' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'keeway' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'keeway' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'keeway' ),
		'items_list'            => esc_html__( 'Items list', 'keeway' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'keeway' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'keeway' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Feature', 'keeway' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-megaphone',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'feature', $args );

}
add_action( 'init', 'keeway_features_area', 0 );

}




if ( ! function_exists('keeway_services') ) {

// Register Custom Post Type
function keeway_services() {

	$labels = array(
		'name'                  => esc_html_x( 'Services', 'Post Type General Name', 'keeway' ),
		'singular_name'         => esc_html_x( 'Service', 'Post Type Singular Name', 'keeway' ),
		'menu_name'             => esc_html__( 'Services', 'keeway' ),
		'name_admin_bar'        => esc_html__( 'Services', 'keeway' ),
		'archives'              => esc_html__( 'Item Archives', 'keeway' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'keeway' ),
		'all_items'             => esc_html__( 'All Items', 'keeway' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'keeway' ),
		'add_new'               => esc_html__( 'Add New', 'keeway' ),
		'new_item'              => esc_html__( 'New Item', 'keeway' ),
		'edit_item'             => esc_html__( 'Edit Item', 'keeway' ),
		'update_item'           => esc_html__( 'Update Item', 'keeway' ),
		'view_item'             => esc_html__( 'View Item', 'keeway' ),
		'search_items'          => esc_html__( 'Search Item', 'keeway' ),
		'not_found'             => esc_html__( 'Not found', 'keeway' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'keeway' ),
		'featured_image'        => esc_html__( 'Featured Image', 'keeway' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'keeway' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'keeway' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'keeway' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'keeway' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'keeway' ),
		'items_list'            => esc_html__( 'Items list', 'keeway' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'keeway' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'keeway' ),
	);
	
	$args = array(
		'label'                 => esc_html__( 'Service', 'keeway' ),
		'description'           => esc_html__( 'Post Type Description', 'keeway' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-plus-alt',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'service', $args );

}
add_action( 'init', 'keeway_services', 0 );

}

if ( ! function_exists('keeway_teams_area') ) {

// Register Custom Post Type
function keeway_teams_area() {

	$labels = array(
		'name'                  => esc_html_x( 'Team', 'Post Type General Name', 'keeway' ),
		'singular_name'         => esc_html_x( 'Team', 'Post Type Singular Name', 'keeway' ),
		'menu_name'             => esc_html__( 'Team', 'keeway' ),
		'name_admin_bar'        => esc_html__( 'Teams', 'keeway' ),
		'archives'              => esc_html__( 'Item Archives', 'keeway' ),
		'attributes'            => esc_html__( 'Item Attributes', 'keeway' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'keeway' ),
		'all_items'             => esc_html__( 'All Items', 'keeway' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'keeway' ),
		'add_new'               => esc_html__( 'Add New', 'keeway' ),
		'new_item'              => esc_html__( 'New Item', 'keeway' ),
		'edit_item'             => esc_html__( 'Edit Item', 'keeway' ),
		'update_item'           => esc_html__( 'Update Item', 'keeway' ),
		'view_item'             => esc_html__( 'View Item', 'keeway' ),
		'view_items'            => esc_html__( 'View Items', 'keeway' ),
		'search_items'          => esc_html__( 'Search Item', 'keeway' ),
		'not_found'             => esc_html__( 'Not found', 'keeway' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'keeway' ),
		'featured_image'        => esc_html__( 'Featured Image', 'keeway' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'keeway' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'keeway' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'keeway' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'keeway' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'keeway' ),
		'items_list'            => esc_html__( 'Items list', 'keeway' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'keeway' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'keeway' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Team', 'keeway' ),
		'description'           => esc_html__( 'Post Type Description', 'keeway' ),
		'labels'                => $labels,
		'supports'              => array( 'title','thumbnail' ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-groups',		
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'team', $args );

}
add_action( 'init', 'keeway_teams_area', 0 );

}

if ( ! function_exists('keeway_work') ) {

// Register Custom Post Type
function keeway_work() {

	$labels = array(
		'name'                  => esc_html_x( 'Works', 'Post Type General Name', 'keeway' ),
		'singular_name'         => esc_html_x( 'Work', 'Post Type Singular Name', 'keeway' ),
		'menu_name'             => esc_html__( 'Works', 'keeway' ),
		'name_admin_bar'        => esc_html__( 'Works', 'keeway' ),
		'archives'              => esc_html__( 'Item Archives', 'keeway' ),
		'attributes'            => esc_html__( 'Item Attributes', 'keeway' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'keeway' ),
		'all_items'             => esc_html__( 'All Items', 'keeway' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'keeway' ),
		'add_new'               => esc_html__( 'Add New', 'keeway' ),
		'new_item'              => esc_html__( 'New Item', 'keeway' ),
		'edit_item'             => esc_html__( 'Edit Item', 'keeway' ),
		'update_item'           => esc_html__( 'Update Item', 'keeway' ),
		'view_item'             => esc_html__( 'View Item', 'keeway' ),
		'view_items'            => esc_html__( 'View Items', 'keeway' ),
		'search_items'          => esc_html__( 'Search Item', 'keeway' ),
		'not_found'             => esc_html__( 'Not found', 'keeway' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'keeway' ),
		'featured_image'        => esc_html__( 'Featured Image', 'keeway' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'keeway' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'keeway' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'keeway' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'keeway' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'keeway' ),
		'items_list'            => esc_html__( 'Items list', 'keeway' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'keeway' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'keeway' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Work', 'keeway' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-portfolio',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'work', $args );

}
add_action( 'init', 'keeway_work', 0 );

}

if ( ! function_exists( 'keeway_work_cat' ) ) {

// Register Custom Taxonomy
function keeway_work_cat() {

	$labels = array(
		'name'                       => esc_html_x( 'Categories', 'Taxonomy General Name', 'keeway' ),
		'singular_name'              => esc_html_x( 'Category', 'Taxonomy Singular Name', 'keeway' ),
		'menu_name'                  => esc_html__( 'Category', 'keeway' ),
		'all_items'                  => esc_html__( 'All Items', 'keeway' ),
		'parent_item'                => esc_html__( 'Parent Item', 'keeway' ),
		'parent_item_colon'          => esc_html__( 'Parent Item:', 'keeway' ),
		'new_item_name'              => esc_html__( 'New Item Name', 'keeway' ),
		'add_new_item'               => esc_html__( 'Add New Item', 'keeway' ),
		'edit_item'                  => esc_html__( 'Edit Item', 'keeway' ),
		'update_item'                => esc_html__( 'Update Item', 'keeway' ),
		'view_item'                  => esc_html__( 'View Item', 'keeway' ),
		'separate_items_with_commas' => esc_html__( 'Separate items with commas', 'keeway' ),
		'add_or_remove_items'        => esc_html__( 'Add or remove items', 'keeway' ),
		'choose_from_most_used'      => esc_html__( 'Choose from the most used', 'keeway' ),
		'popular_items'              => esc_html__( 'Popular Items', 'keeway' ),
		'search_items'               => esc_html__( 'Search Items', 'keeway' ),
		'not_found'                  => esc_html__( 'Not Found', 'keeway' ),
		'no_terms'                   => esc_html__( 'No items', 'keeway' ),
		'items_list'                 => esc_html__( 'Items list', 'keeway' ),
		'items_list_navigation'      => esc_html__( 'Items list navigation', 'keeway' ),
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'work_cat', array( 'work' ), $args );

}
add_action( 'init', 'keeway_work_cat', 0 );

}

if ( ! function_exists('keeway_pricing') ) {

// Register Custom Post Type
function keeway_pricing() {

	$labels = array(
		'name'                  => esc_html_x( 'Prcing Table', 'Post Type General Name', 'keeway' ),
		'singular_name'         => esc_html_x( 'Prcing Table', 'Post Type Singular Name', 'keeway' ),
		'menu_name'             => esc_html__( 'Prcing Table', 'keeway' ),
		'name_admin_bar'        => esc_html__( 'Prcing Table', 'keeway' ),
		'archives'              => esc_html__( 'Item Archives', 'keeway' ),
		'attributes'            => esc_html__( 'Item Attributes', 'keeway' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'keeway' ),
		'all_items'             => esc_html__( 'All Items', 'keeway' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'keeway' ),
		'add_new'               => esc_html__( 'Add New', 'keeway' ),
		'new_item'              => esc_html__( 'New Item', 'keeway' ),
		'edit_item'             => esc_html__( 'Edit Item', 'keeway' ),
		'update_item'           => esc_html__( 'Update Item', 'keeway' ),
		'view_item'             => esc_html__( 'View Item', 'keeway' ),
		'view_items'            => esc_html__( 'View Items', 'keeway' ),
		'search_items'          => esc_html__( 'Search Item', 'keeway' ),
		'not_found'             => esc_html__( 'Not found', 'keeway' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'keeway' ),
		'featured_image'        => esc_html__( 'Featured Image', 'keeway' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'keeway' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'keeway' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'keeway' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'keeway' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'keeway' ),
		'items_list'            => esc_html__( 'Items list', 'keeway' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'keeway' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'keeway' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Prcing Table', 'keeway' ),
		'description'           => esc_html__( 'Post Type Description', 'keeway' ),
		'labels'                => $labels,
		'supports'              => array( 'title', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-editor-table',		
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'pricing', $args );

}
add_action( 'init', 'keeway_pricing', 0 );

}

if ( ! function_exists('keeway_testimonials') ) {

// Register Custom Post Type
function keeway_testimonials() {

	$labels = array(
		'name'                  => esc_html_x( 'Testimonials', 'Post Type General Name', 'keeway' ),
		'singular_name'         => esc_html_x( 'Testimonial', 'Post Type Singular Name', 'keeway' ),
		'menu_name'             => esc_html__( 'Testimonials', 'keeway' ),
		'name_admin_bar'        => esc_html__( 'Testimonials', 'keeway' ),
		'archives'              => esc_html__( 'Item Archives', 'keeway' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'keeway' ),
		'all_items'             => esc_html__( 'All Items', 'keeway' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'keeway' ),
		'add_new'               => esc_html__( 'Add New', 'keeway' ),
		'new_item'              => esc_html__( 'New Item', 'keeway' ),
		'edit_item'             => esc_html__( 'Edit Item', 'keeway' ),
		'update_item'           => esc_html__( 'Update Item', 'keeway' ),
		'view_item'             => esc_html__( 'View Item', 'keeway' ),
		'search_items'          => esc_html__( 'Search Item', 'keeway' ),
		'not_found'             => esc_html__( 'Not found', 'keeway' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'keeway' ),
		'featured_image'        => esc_html__( 'Featured Image', 'keeway' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'keeway' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'keeway' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'keeway' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'keeway' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'keeway' ),
		'items_list'            => esc_html__( 'Items list', 'keeway' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'keeway' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'keeway' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Testimonial', 'keeway' ),
		'description'           => esc_html__( 'Post Type Description', 'keeway' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-smiley',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'testimonials', $args );

}
add_action( 'init', 'keeway_testimonials', 0 );

}


if ( ! function_exists('keeway_partners_area') ) {

// Register Custom Post Type
function keeway_partners_area() {

	$labels = array(
		'name'                  => esc_html_x( 'Partner', 'Post Type General Name', 'keeway' ),
		'singular_name'         => esc_html_x( 'Partner', 'Post Type Singular Name', 'keeway' ),
		'menu_name'             => esc_html__( 'Partner', 'keeway' ),
		'name_admin_bar'        => esc_html__( 'Partner', 'keeway' ),
		'archives'              => esc_html__( 'Item Archives', 'keeway' ),
		'attributes'            => esc_html__( 'Item Attributes', 'keeway' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'keeway' ),
		'all_items'             => esc_html__( 'All Items', 'keeway' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'keeway' ),
		'add_new'               => esc_html__( 'Add New', 'keeway' ),
		'new_item'              => esc_html__( 'New Item', 'keeway' ),
		'edit_item'             => esc_html__( 'Edit Item', 'keeway' ),
		'update_item'           => esc_html__( 'Update Item', 'keeway' ),
		'view_item'             => esc_html__( 'View Item', 'keeway' ),
		'view_items'            => esc_html__( 'View Items', 'keeway' ),
		'search_items'          => esc_html__( 'Search Item', 'keeway' ),
		'not_found'             => esc_html__( 'Not found', 'keeway' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'keeway' ),
		'featured_image'        => esc_html__( 'Featured Image', 'keeway' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'keeway' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'keeway' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'keeway' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'keeway' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'keeway' ),
		'items_list'            => esc_html__( 'Items list', 'keeway' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'keeway' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'keeway' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Partner', 'keeway' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-lightbulb',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'partner', $args );

}
add_action( 'init', 'keeway_partners_area', 0 );

}
