<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayContactUsWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-contact-us';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Contact Us' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_contact_us',
			[
				'label' => esc_html__( 'Contact Us', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'sec_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => 'Contact <span>Us</span>',
			]
		);		
		
		$this->add_control(
			'sec_cont_short',
			[
				'label' => esc_html__( 'Shortcode', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
			]
		);		
		
		$this->add_control(
			'sec_gmap',
			[
				'label' => esc_html__( 'Google Map', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
			]
		);	
			
		
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$sec_title = $this->get_settings_for_display( 'sec_title' );
		$sec_cont_short = $this->get_settings_for_display( 'sec_cont_short' );
		$sec_gmap = $this->get_settings_for_display( 'sec_gmap' );
		
		?>
		

		<!-- START CONTACT FORM-->
		<section id="contact" class="contact_area section-padding">
			<div class="container">
				<div class="row">		
					<div class="section-title text-center wow zoomIn">
						<h2><?php echo keeway_wp_kses($sec_title);?></h2>
						<div class="sec_icon"><span></span><span></span><span></span></div>
					</div>						
					
					<div class="col-xl-6 col-lg-6 col-12">						
						<div id="map">
							<?php echo keeway_wp_kses($sec_gmap);?>
						</div>	
					</div><!-- END Col -->
					
					<div class="col-xl-6 col-lg-6 col-12">
						<div class="contact">
							<div id="contact-form">								
								<?php echo do_shortcode($sec_cont_short);?>							
							</div>
						</div>
					</div><!-- END COL -->
				</div><!--- END ROW -->				
			</div><!--- END CONTAINER -->	
		</section>
		<!-- END CONTACT FORM -->
<?php

	}

}
