<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayCounterWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-counter';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Counter' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_counter',
			[
				'label' => esc_html__( 'Counter', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$repeater = new \Elementor\Repeater();

		$repeater->add_control(
			'counter_text', [
				'label' => esc_html__( 'Text', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);		
		
		$repeater->add_control(
			'counter_number', [
				'label' => esc_html__( 'Text', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$this->add_control(
			'counter_list',
			[
				'label' => esc_html__
				( 'Counters', 'keeway' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[																															
						'counter_text' => keeway_wp_kses('Projects Finished'),													
						'counter_number' => keeway_wp_kses(' 2500'),													
					],
		
				],
			]
		);				
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$counter_list = $this->get_settings_for_display( 'counter_list' );
		
		?>
		
		<div class="counter-area">		
			<div class="container">
				<div class="row">
				
				<?php
					foreach ($counter_list as $item ) { ?>									
					<div class="col-xl-3 col-lg-3 col-md-6 col-12 wow fadeInUp">
						<div class="single-counter">
							<h2 class="timer"><?php echo esc_html($item['counter_number']);?></h2>  
							<h5><?php echo esc_html($item['counter_text']);?></h5>
						</div>
					</div><!-- End COl-->					
				<?php } ?>		
				

				</div>
			</div>
		</div>
<?php

	}

}
