<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayFeaturesWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-features';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Features' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_features',
			[
				'label' => esc_html__( 'Features', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'sec_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Keeway <span>Features</span>',
			]
		);	
		
		$this->add_control(
			'number_of_post',
			[
				'label' => esc_html__( 'Number of Post', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => '3',
			]
		);	
			
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$sec_title = $this->get_settings_for_display( 'sec_title' );
		$number_of_post = $this->get_settings_for_display( 'number_of_post' );
		
		?>
		
		<!-- START FEATURE-->
		<section id="about" class="features">
			<div class="container">

				<div class="section-title text-center wow zoomIn">
					<h2><?php echo keeway_wp_kses($sec_title);?></h2>
					<div class="sec_icon"><span></span><span></span><span></span></div>
				</div>
				
				<div class="row">
			
					<?php
						// WP_Query arguments
						$args = array(
							'post_type'              => array( 'feature' ),
							'posts_per_page'         => $number_of_post,
						);

						// The Query
						$keeway_features_query = new WP_Query( $args );

						// The Loop
						if ( $keeway_features_query->have_posts() ) {
							while ( $keeway_features_query->have_posts() ) {
								$keeway_features_query->the_post();
								$keeway_feature_icon = get_post_meta(get_the_ID(),'_keeway_feature_icon', true);
									
							?>	
						
								<div class="col-xl-4 col-lg-4 col-md-6 col-12 wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
									<div class="single_about">
										<i class="<?php echo esc_attr($keeway_feature_icon);?> about_icon"></i>
										<h4><?php the_title();?></h4>
										<p><?php the_content();?></p>
										
									</div>						
								</div><!--- END COL -->
						
					<?php	}
						} else {
							// no posts found
						}

						// Restore original Post Data
						wp_reset_postdata();
					?>		
					
				</div><!--- END ROW -->								
			</div><!--- END CONTAINER -->
		</section>
		<!-- END FEATURE -->	

<?php

	}

}
