<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayNewsletterWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-newsletter';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Newsletter' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_newsletter',
			[
				'label' => esc_html__( 'Newsletter', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'sec_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Keeway <span>Features</span>',
			]
		);		
		
		$this->add_control(
			'sec_content',
			[
				'label' => esc_html__( 'Content', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Lorem Ipsum is simply dummy text of the printing',
			]
		);		
		
		$this->add_control(
			'enter_shortcode',
			[
				'label' => esc_html__( 'Shortcode', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,

			]
		);	
			
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$sec_title = $this->get_settings_for_display( 'sec_title' );
		$sec_content = $this->get_settings_for_display( 'sec_content' );
		$enter_shortcode = $this->get_settings_for_display( 'enter_shortcode' );
		
		?>
		
		<!-- START NEWSLETTER -->
		<section class="newsletter">
			<div class="container">
				<div class="signup_form">
					<div class="row">
						<div class="col-xl-7 col-lg-7 col-12">
							<h3><?php echo keeway_wp_kses($sec_title);?></h3>
							<p><?php echo keeway_wp_kses($sec_content);?></p>
						</div>
						
						<div class="col-xl-5 col-lg-5 col-12">
							<!-- Replace the form action in the line below with your MailChimp embed action! -->
							<div class="form-inline validate newsletter_form">
								<?php echo do_shortcode($enter_shortcode);?>
							</div>							
						</div>
					</div>
				</div>	
			</div><!-- END CONTAINER -->
		</section>
		<!-- END NEWSLETTER -->
<?php

	}

}
