<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayPartnersWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-partners';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Partners' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_partners',
			[
				'label' => esc_html__( 'Partners', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
		
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	

	?>
		
		<!-- START COMPANY PARTNER LOGO  -->
		<div class="partner-logo ">
				<div class="container">
					<div class="row">
						<div class="col-md-12">
							<div class="partner owl-carousel wow fadeInRight">
							<?php 
							
								// WP_Query arguments
								$args = array(
									'post_type'              => array( 'partner' ),
									'posts_per_page'         => -1,
								);

								// The Query
								$keeway_partner_query = new WP_Query( $args );

								// The Loop
								if ( $keeway_partner_query->have_posts() ) {
									while ( $keeway_partner_query->have_posts() ) {
										$keeway_partner_query->the_post();
										$keeway_partner_link = get_post_meta(get_the_ID(),'_keeway_partner_link', true);
										?>
										
		
											<a href="<?php echo esc_url($keeway_partner_link);?>" target="_blank"><?php the_post_thumbnail('', array('class' => 'img-responsive',));?></a>
						    	
														
									<?php	// do something
									}
								} else {
									// no posts found
								}

								// Restore original Post Data
								wp_reset_postdata();							
							?>
	
						    	
						    	
							</div>
						</div><!-- END COL  -->
					</div><!--END  ROW  -->
				</div><!-- END CONTAINER  -->
		</div>
		<!-- END COMPANY PARTNER LOGO -->

<?php

	}

}
