<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayServicesWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-services';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Services' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_services',
			[
				'label' => esc_html__( 'Services', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'sec_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'our <span>service</span>',
			]
		);	
		
		$this->add_control(
			'number_of_post',
			[
				'label' => esc_html__( 'Number of Post', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => '6',
			]
		);		

			
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$sec_title = $this->get_settings_for_display( 'sec_title' );
		$number_of_post = $this->get_settings_for_display( 'number_of_post' );
		
		?>
		
		<!-- START SERVICE  -->
		<section id="service" class="our_service section-padding">
			<div class="container">
				<div class="section-title text-center wow zoomIn">
					<h2><?php echo keeway_wp_kses($sec_title);?></h2>
					<div class="sec_icon"><span></span><span></span><span></span></div>
				</div>
				
				<div class="row">
				
			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'service' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$keeway_services_query = new WP_Query( $args );

				// The Loop
				if ( $keeway_services_query->have_posts() ) {
					while ( $keeway_services_query->have_posts() ) {
						$keeway_services_query->the_post();
						$keeway_service_icon = get_post_meta(get_the_ID(),'_keeway_service_icon', true);
							
						?>

					<div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 col-12 wow fadeIn" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
						<div class="single_service">
							<i class="<?php echo esc_attr($keeway_service_icon);?>"></i>
							<div class="ser_content">
								<h4><?php the_title();?></h4>
								<p><?php the_content();?></p>
							</div>
						</div>
					</div><!--END COL -->

				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>		

			

		</div><!-- END ROW-->
	</div><!-- END CONTAINER-->
</section>
<!-- END Services -->		

<?php

	}

}
