<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewaySkillWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-skill';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Skill' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_skill',
			[
				'label' => esc_html__( 'Skill', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'progress_text',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => 'Web Design',
			]
		);		
		
		$this->add_control(
			'progress_number',
			[
				'label' => esc_html__( 'Percent', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => '80',
			]
		);	
			
		
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$progress_text = $this->get_settings_for_display( 'progress_text' );
		$progress_number = $this->get_settings_for_display( 'progress_number' );
		
		?>
		

		<!-- START PROGRASS BAR -->

		<div class="progress-bar-linear">
			<p class="progress-bar-text"><?php echo esc_html($progress_text);?></p>
			<div class="progress-bar">
				<span data-percent="<?php echo esc_attr($progress_number);?>"></span>
			</div>
		</div>	
						
		<!-- END PROGRASS BAR -->	
<?php

	}

}
