<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewaySkillContentWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-skill-content';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Skill Content' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_skill_content',
			[
				'label' => esc_html__( 'Skill Content', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'skill_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => 'What We Do',
			]
		);		
		
		$this->add_control(
			'skill_content',
			[
				'label' => esc_html__( 'Content', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore.',
			]
		);	
			
		$repeater = new \Elementor\Repeater();

		$repeater->add_control(
			'skill_ctext', [
				'label' => esc_html__( 'Text', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'label_block' => true,
			]
		);
		
		$this->add_control(
			'skill_content_list',
			[
				'label' => esc_html__
				( 'Skill Content List', 'keeway' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[																															
						'skill_ctext' => keeway_wp_kses('Design'),													
					],
		
				],
			]
		);	
		
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$skill_title = $this->get_settings_for_display( 'skill_title' );
		$skill_content = $this->get_settings_for_display( 'skill_content' );
		$skill_content_list = $this->get_settings_for_display( 'skill_content_list' );
		
		?>
		

		<div class="skill_content">
			<h3><?php echo esc_html($skill_title);?></h3>
			<?php echo keeway_wp_kses($skill_content);?>
			<ul class="skill_list">
				<?php
					foreach ($skill_content_list as $item ) { ?>									
					<li><?php echo esc_html($item['skill_ctext']);?></li>							
				<?php } ?>							
			</ul>
		</div>
<?php

	}

}
