<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayTeamWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-team';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Team' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_team',
			[
				'label' => esc_html__( 'Team', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'sec_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Our <span>Experts</span>',
			]
		);	
		
		$this->add_control(
			'number_of_post',
			[
				'label' => esc_html__( 'Number of Post', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => '4',
			]
		);	
			
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$sec_title = $this->get_settings_for_display( 'sec_title' );
		$number_of_post = $this->get_settings_for_display( 'number_of_post' );
		
		?>
		
		<!-- START OUR TEAM -->
		<section id="team" class="our_team">
			<div class="container text-center">		
				<div class="section-title wow zoomIn">
					<h2><?php echo keeway_wp_kses($sec_title);?></h2>
					<div class="sec_icon"><span></span><span></span><span></span></div>
				</div>	
				
				<div class="row">	
					<?php
						// WP_Query arguments
						$args = array(
							'post_type'              => array( 'team' ),
							'posts_per_page'         => $number_of_post,
						);

						// The Query
						$keeway_team_query = new WP_Query( $args );

						// The Loop
						if ( $keeway_team_query->have_posts() ) {
							while ( $keeway_team_query->have_posts() ) {
								$keeway_team_query->the_post();
								
								$keeway_team_designation = get_post_meta(get_the_ID(),'_keeway_team_designation', true);
								$keeway_team_group_field_opt = get_post_meta(get_the_ID(),'_keeway_team_group_field_opt', true);
						
							?>	
						
							<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 col-12 wow fadeInUp">
								<div class="single_team">
									<div class="img_wrap">
										<?php the_post_thumbnail('keeway_image_481_768', array('class' => 'img-responsive' ));?>
										<div class="social_link">
											<h3><?php the_title();?></h3>
											<p><?php echo esc_html($keeway_team_designation);?></p>
			
											<ul class="list-inline">
																				
											<?php
												foreach ( (array) $keeway_team_group_field_opt as $key => $team_entry ) {

													$icon = $link = '';

													if ( isset( $team_entry['_keeway_team_social_icon'] ) )
														$icon = $team_entry['_keeway_team_social_icon'];	

													if ( isset( $team_entry['_keeway_team_social_link'] ) )
														$link = $team_entry['_keeway_team_social_link'];	

													?>
														
														<li> <a href="<?php echo esc_url($link);?>"><i class="<?php echo esc_attr($icon);?>"></i></a></li>
												
												<?php } ?>	
											</ul>
										</div>
									</div>
								</div>			
							</div>
							<!-- End Col -->
						
					<?php	}
						} else {
							// no posts found
						}

						// Restore original Post Data
						wp_reset_postdata();
					?>	
					</div>
				</div>			
		</section>
		<!-- END TEAM -->	

<?php

	}

}
