<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayTestimonialsWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-testimonials';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Testimonials' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_testimonials',
			[
				'label' => esc_html__( 'Testimonials', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
		
		$this->add_control(
			'vid_bg_image',
			[
				'label' => esc_html__( 'Background Image', 'keeway' ),
				'type' => \Elementor\Controls_Manager::MEDIA ,
			]
		);	
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$vid_bg_image = $this->get_settings_for_display( 'vid_bg_image' )['url'];

		?>
		
		<!-- Start testimonials -->
		<section class="testimonials_area section-padding section-overlay" style="background-image: url(<?php echo esc_url($vid_bg_image);?>);">
				<div class="container">
					<div class="row">
						<div class="col-xl-8 mx-auto wow fadeInUp">
							<div class="testimonials_carousel owl-carousel text-center">
								
								<?php 
							
								// WP_Query arguments
								$args = array(
									'post_type'              => array( 'testimonials' ),
									'posts_per_page'         => '-1',
								);

								// The Query
								$keeway_testimonials_query = new WP_Query( $args );

								// The Loop
								if ( $keeway_testimonials_query->have_posts() ) {
									while ( $keeway_testimonials_query->have_posts() ) {
										$keeway_testimonials_query->the_post();
										
										?>
			
										<div class="single_testimonial">	
											<div class="avatar">
												<?php the_post_thumbnail('keeway_image_300_300', array('class' => 'img-responsive',));?>
											</div>
											<p><?php the_content();?></p>
											<h5><?php the_title();?></h5>
											
										</div>		
														
									<?php	// do something
									}
								} else {
									// no posts found
								}

								// Restore original Post Data
								wp_reset_postdata();							
							?>

								
							</div>
						</div>
					</div>
				</div>
		</section>
		<!-- End testimonials -->	

<?php

	}

}
