<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayTitleWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-title';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Title' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'sec_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Keeway <span>Features</span>',
			]
		);	
			
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$sec_title = $this->get_settings_for_display( 'sec_title' );
		
		?>
		
		<!-- START HEADER TITLE-->
		<div class="section-title text-center wow zoomIn">
			<h2><?php echo keeway_wp_kses($sec_title);?></h2>
			<div class="sec_icon"><span></span><span></span><span></span></div>
		</div>	

		<!-- END HEADER TITLE -->	
<?php

	}

}
