<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayVideoWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-video';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Video' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_video',
			[
				'label' => esc_html__( 'Video', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'vid_bg_image',
			[
				'label' => esc_html__( 'Background Image', 'keeway' ),
				'type' => \Elementor\Controls_Manager::MEDIA ,
			]
		);		
		
		$this->add_control(
			'sec_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => 'Watch Video',
			]
		);		
		
		$this->add_control(
			'sec_content',
			[
				'label' => esc_html__( 'Content', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry \'s standard dummy <br>text ever since the 1500s, when an unknown printer.',
			]
		);	
	
		$this->add_control(
			'video_url',
			[
				'label' => esc_html__( 'Video Url', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => 'https://www.youtube.com/watch?v=46zPW2BgMOA',
			]
		);	
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$vid_bg_image = $this->get_settings_for_display( 'vid_bg_image' )['url'];
		$sec_title = $this->get_settings_for_display( 'sec_title' );
		$sec_content = $this->get_settings_for_display( 'sec_content' );
		$video_url = $this->get_settings_for_display( 'video_url' );
		
		?>
		
		<!-- START ABOUT US -->
		<section data-stellar-background-ratio="0.3" id="video" class="about_video section-overlay section-padding" style="background-image:url(<?php echo esc_url($vid_bg_image);?>);">
			<div class="container">
				<div class="row">
					<div class="col-12 text-center">
						<div class="video-container">                  
							<a href="<?php echo esc_url($video_url);?>" class="modal_icon">
							<span class="play-video"><i class="fa-brands fa-youtube"></i></span></a>
							<h4><?php echo esc_html($sec_title);?></h4>
							<p><?php echo keeway_wp_kses($sec_content);?></p>
						</div>
						<!-- VIDEO POPUP -->

					</div><!--- END COL -->					
				</div><!--- END ROW -->
			</div><!--- END CONTAINER -->	
		</section>
		<!-- END ABOUT US -->
<?php

	}

}
