<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayWhyChooseWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-why-choose';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Why Choose' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_why_choose',
			[
				'label' => esc_html__( 'Why Choose', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'why_number',
			[
				'label' => esc_html__( 'Number', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => '01',
			]
		);		
				
				
		$this->add_control(
			'why_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => 'Unique Ideas',
			]
		);		
		
		$this->add_control(
			'why_content',
			[
				'label' => esc_html__( 'Content', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras interdum ante vel aliquet euismod. Curabitur accumsan vitae',
			]
		);		
		

		
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$why_number = $this->get_settings_for_display( 'why_number' );
		$why_title = $this->get_settings_for_display( 'why_title' );
		$why_content = $this->get_settings_for_display( 'why_content' );
		
		?>
		
		<!-- START WHY CHOOSE US -->												
		<div class="single_feature">
			<div class="feat_number"><?php echo esc_html($why_number);?></div>
			<div class="single_f_content">
				<h4><?php echo esc_html($why_title);?></h4>
				<p><?php echo esc_html($why_content);?></p>	
			</div>
		</div>
		<!-- END WHY CHOOSE US -->	
		
<?php

	}

}
