<?php

// File Security Check
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class KeewayWorksWidget extends \Elementor\Widget_Base{
	
	public function get_name() {
		
		return 'keeway-works';
	}
	public function get_icon() {
		
		return 'eicon-shortcode';
	}
	public function get_title() {
		return esc_html__('Works' , 'keeway');
	}
	
	public function get_categories() {
		return ['keeway-category'];
	}
	
	protected function register_controls() {

		$this->start_controls_section(
		'keeway_works',
			[
				'label' => esc_html__( 'Works', 'keeway' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);
	
		$this->add_control(
			'sec_title',
			[
				'label' => esc_html__( 'Title', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXTAREA ,
				'default' => 'Latest <span>works</span>',
			]
		);	
		
		$this->add_control(
			'number_of_post',
			[
				'label' => esc_html__( 'Number of Post', 'keeway' ),
				'type' => \Elementor\Controls_Manager::TEXT ,
				'default' => '-1',
			]
		);	
			
			
		$this->end_controls_section();

	}
	
	protected function render(){		
	
		$sec_title = $this->get_settings_for_display( 'sec_title' );
		$number_of_post = $this->get_settings_for_display( 'number_of_post' );
		
		?>
		
	<!-- START PORTFOLIO -->	
	<section id="portfolio" class="works_area section-padding">	
		<div class="container text-center">
			
				<div class="section-title wow zoomIn">
					<h2><?php echo keeway_wp_kses($sec_title);?></h2>
					<div class="sec_icon"><span></span><span></span><span></span></div>
				</div>
				<div class="col-12">
					<div class="our_work_menu">
					
				<?php $terms = get_terms('work_cat');
					if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
				?>
				<ul>
					<li class="filter wow fadeIn" data-wow-duration="1.5s" data-wow-delay=".25s" data-filter="all"><?php esc_html_e('All' , 'keeway');?></li>
					<?php foreach ( $terms as $term ) : ?>
					<li class="filter" data-filter="<?php echo esc_attr($term->slug); ?>"><?php echo esc_html($term->name); ?></li>			
					<?php endforeach;?>
				</ul>
			<?php } ?>	

					</div>				
				</div>
				
			<div class="work_all_item wow fadeInUp">
				<div class="row ">
			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'work' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$keeway_works_query = new WP_Query( $args );

				// The Loop
				if ( $keeway_works_query->have_posts() ) {
					while ( $keeway_works_query->have_posts() ) {
						$keeway_works_query->the_post();
						$keeway_work_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'keeway_image_1200_1200');
						$portfolio_terms = get_the_terms(get_the_id(), 'work_cat');
						
						if ( ! empty( $portfolio_terms ) && ! is_wp_error( $portfolio_terms ) ):
							
							$portfolios_cat_slug = array();
							
							foreach($portfolio_terms as $portfolio_term){
								$portfolios_cat_slug[] = $portfolio_term->slug ;
							}
							
							$portfolios_cat_array = join(" ", $portfolios_cat_slug);
							$portfolios_class_array = join(" ", $portfolios_cat_slug);
						endif;
						?>
						
						<div class="grid-item col-xl-4 col-lg-4 col-md-6 col-sm-6 col-12  mix all <?php echo esc_attr($portfolios_class_array);?>">
							<div class="single_our_work">
								<div class="sing_work_photo">
									<figure>								
										<img src="<?php echo esc_url($keeway_work_image[0]);?>" alt="img">
										<div class="sing_work_text_link">
											<div class="sing_work_content_wrap">
												<div class="sing_work_content">																			
													<a href="<?php echo esc_url($keeway_work_image[0]);?>" class="lightbox search" data-gall="gall-work"><h4><?php the_title();?></h4></a>
													<p>
													<?php $cat_name = get_the_terms(get_the_id(), 'work_cat');
														if ( ! empty( $cat_name ) && ! is_wp_error($cat_name) ){
															 foreach ( $cat_name as $term ) {
																echo esc_html($term->name); 
															}
															
														} ?>

													</p>
												</div>
											</div>
										</div>	
									</figure>
								</div>				
							</div>	
						</div>						
						<?php
					}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>				
				
					
					
															
				</div>				
			</div>
		
		</div>			
	</section>		
	<!-- END PORTFOLIO -->	

<?php

	}

}
