<?php


add_action( 'cmb2_init', 'keeway_metabox_options' );

function keeway_metabox_options(){
	// Start with an underscore to hide fields from custom fields list
	$prefix = '_keeway_';

	// Page Options	

	$cmb2_page_opt = new_cmb2_box( array(
		'id'           => $prefix . 'page_option',
		'title'        => esc_html__( 'Page Options', 'keeway' ),
		'object_types' => array( 'page'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );	
	
	if (class_exists('RevSlider')) {
		global $wpdb;
		$rs_table_name = $wpdb->prefix . "revslider_sliders";
		$rs = $wpdb->get_results( "SELECT id, title, alias FROM $rs_table_name ORDER BY id ASC LIMIT 999" );
		$revsliders = array();
		if ($rs) {
			foreach ( $rs as $slider ) {
				$revsliders[$slider->alias] = $slider->alias;
			}
		} else {
			$revsliders["No sliders found"] = 'No Alias found';
		}
		$cmb2_page_opt->add_field( array(
		    'name'             =>  esc_html__('Rev Slider Alias','keeway' ), 
		    'id'               => $prefix.'rev_slider_alias',
		    'type'             => 'select',
		    'options'          => $revsliders,
		    'default'          => '',
		    'desc'         	   => esc_html__( 'Select any One, Which One You want to display','keeway' ),
			'show_option_none' => true,
		) );
	}	

	$cmb2_page_opt->add_field( array(
	    'name'             => esc_html__('Hide Banner ' , 'keeway'),
	    'id'               => $prefix .'hide_banner',
		'desc'    => esc_html__('Check/Uncheck here' , 'keeway'),
	    'type'    => 'checkbox',
	) );	
		
	// Page Options	

	$cmb2_post_1_options = new_cmb2_box( array(
		'id'           => $prefix . 'p1banner_option',
		'title'        => esc_html__( 'Upload Banner Image', 'keeway' ),
		'object_types' => array( 'page' , 'post', 'portfolios'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_post_1_options->add_field( array(
	    'id'               => $prefix .'home_banner_img',
	    'desc'             => esc_html__( 'Please upload banner image here ','keeway' ),
		 'type'             => 'file',
	) );	
	//End Page=============================================
	
	
	//Post Options	
	$cmb2_post_options = new_cmb2_box( array(
		'id'           => $prefix . 'posts_option',
		'title'        => esc_html__( 'Post Options', 'keeway' ),
		'object_types' => array( 'post'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );	
	
	
	$cmb2_post_options->add_field( array(
	    'name'             => esc_html__('Audio / Video Post Embed Code ' , 'keeway'),
	    'id'               => $prefix .'vid_post_title',
	    'type'    => 'title',
	) );		
	
	$cmb2_post_options->add_field( array(
	    'name'             => esc_html__('Embed Code' , 'keeway'),
	    'id'               => $prefix .'embed_code',
		'desc'    => esc_html__('enter embed code here' , 'keeway'),
	    'type'    => 'textarea_code',
	) );
	
	//End Post Options============================================================
		
	$cmb2_service = new_cmb2_box( array(
		'id'           => $prefix . 'service_options',
		'title'        => esc_html__( 'Service Info', 'keeway' ),
		'object_types' => array( 'service'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );
	$cmb2_service->add_field( array(
	    'name'             => esc_html__('Icon' , 'keeway'),
	    'id'               => $prefix .'service_icon',
	    'desc'             => esc_html__( 'write icon here','keeway' ),
		'type'             => 'text',
		'default'    => 'fa fa-circle-o-notch',
	) );
	
	$cmb2_feature = new_cmb2_box( array(
		'id'           => $prefix . 'feature_options',
		'title'        => esc_html__( 'Feature Info', 'keeway' ),
		'object_types' => array( 'feature'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_feature->add_field( array(
	    'name'             => esc_html__('Icon' , 'keeway'),
	    'id'               => $prefix .'feature_icon',
	    'desc'             => esc_html__( 'write icon here','keeway' ),
		'type'             => 'text',
		'default'    => 'fa fa-html5',
	) );
	
	$cmb2_team = new_cmb2_box( array(
		'id'           => $prefix . 'team_options',
		'title'        => esc_html__( 'Team Info', 'keeway' ),
		'object_types' => array( 'team'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_team->add_field( array(
	    'name'             => esc_html__('Designation' , 'keeway'),
	    'id'               => $prefix .'team_designation',
	    'desc'             => esc_html__( 'eneter Designation here','keeway' ),
		'type'             => 'text',
		'default'    => 'Co Founder',
	) );
	
	$team_group_field_id = $cmb2_team->add_field( array(
		'id'          => $prefix .'team_group_field_opt',
		'type'        => 'group',
		// 'repeatable'  => false, // use false if you want non-repeatable group
		'options'     => array(
			'group_title'   => esc_html__( 'Social  {#}', 'keeway' ), // since version 1.1.4, {#} gets replaced by row number
			'add_button'    => esc_html__( 'Add New Social', 'keeway' ),
			'remove_button' => esc_html__( 'Remove Social', 'keeway' ),
			'sortable'      => true, // beta
			// 'closed'     => true, // true to have the groups closed by default
		),
	) );

	// Id's for group's fields only need to be unique for the group. Prefix is not needed.
	$cmb2_team->add_group_field( $team_group_field_id, array(
		'name' => esc_html__('Social Icon' , 'keeway'),
		'id'   => $prefix .'team_social_icon',
		'type' => 'text',
		'default' => 'fa fa-facebook',
		'description' => esc_html__('write icon here' , 'keeway'),
		// 'repeatable' => true, // Repeatable fields are supported w/in repeatable groups (for most types)
	) );
	
	// Id's for group's fields only need to be unique for the group. Prefix is not needed.
	$cmb2_team->add_group_field( $team_group_field_id, array(
		'name'             => esc_html__('Social Link' , 'keeway'),
		'id'               => $prefix .'team_social_link',
		'type' => 'text',
		'default' => '#',
		'desc'             => esc_html__( 'enter url here','keeway' ),
		// 'repeatable' => true, // Repeatable fields are supported w/in repeatable groups (for most types)
	) );

	
	
	$cmb2_pricing = new_cmb2_box( array(
		'id'           => $prefix . 'pric_options',
		'title'        => esc_html__( 'Pricing Info', 'keeway' ),
		'object_types' => array( 'pricing'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );
	

	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Period' , 'keeway'),
		'id'               => $prefix .'pricing_period',
		'desc'             => esc_html__( 'write text here','keeway' ),
		'type'             => 'text',
		'default'    => '/ month ',
	) );	
		

	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Pricing Amount' , 'keeway'),
		'id'               => $prefix .'pricing_amount',
		'desc'             => esc_html__( 'write text here','keeway' ),
		'type'             => 'text',
		'default'    => '$28',
	) );		
		
	$pricing_group_field_id = $cmb2_pricing->add_field( array(
		'id'          => $prefix .'pricing_group_field_opt',
		'type'        => 'group',
		// 'repeatable'  => false, // use false if you want non-repeatable group
		'options'     => array(
			'group_title'   => esc_html__( 'Feature {#}', 'keeway' ), // since version 1.1.4, {#} gets replaced by row number
			'add_button'    => esc_html__( 'Add New Feature', 'keeway' ),
			'remove_button' => esc_html__( 'Remove Feature', 'keeway' ),
			'sortable'      => true, // beta
			// 'closed'     => true, // true to have the groups closed by default
		),
	) );

	// Id's for group's fields only need to be unique for the group. Prefix is not needed.
	$cmb2_pricing->add_group_field( $pricing_group_field_id, array(
		'name' => esc_html__('Single Feature' , 'keeway'),
		'id'   => $prefix .'single_feature',
		'type' => 'textarea_small',
		'default' => '50GB Disk Space',
		'description' => esc_html__('write text here' , 'keeway'),
		// 'repeatable' => true, // Repeatable fields are supported w/in repeatable groups (for most types)
	) );	
	
	// Id's for group's fields only need to be unique for the group. Prefix is not needed.
	$cmb2_pricing->add_group_field( $pricing_group_field_id, array(
		'name' => esc_html__('Pricing Icon' , 'keeway'),
		'id'   => $prefix .'pricing_icon',
		'type' => 'text',
		'default' => 'fa fa-check',
		'description' => esc_html__('write icon here' , 'keeway'),
		// 'repeatable' => true, // Repeatable fields are supported w/in repeatable groups (for most types)
	) );
	
	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Button Text' , 'keeway'),
		'id'               => $prefix .'pricing_btn_text',
		'desc'             => esc_html__( 'write text here','keeway' ),
		'type'             => 'text',
		'default'    => 'Buy Now',
	) );		
	$cmb2_pricing->add_field( array(
		'name'             => esc_html__('Button Link' , 'keeway'),
		'id'               => $prefix .'pricing_btn_link',
		'desc'             => esc_html__( 'write text here','keeway' ),
		'type'             => 'text',
		'default'    => '#',
	) );		


	$cmb2_partner = new_cmb2_box( array(
		'id'           => $prefix . 'partner_options',
		'title'        => esc_html__( 'Partner Info', 'keeway' ),
		'object_types' => array( 'partner'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );
	
	$cmb2_partner->add_field( array(
		'name'             => esc_html__('Partner Image Link' , 'keeway'),
		'id'               => $prefix .'partner_link',
		'desc'             => esc_html__( 'write link here','keeway' ),
		'type'             => 'text',
		'default'             => '#',
	) );	
	

	
}