<?php
//Header Area
function keeway_header_title_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                  
            'sec_title' => 'Keeway <span>Features</span>',                                                                                                                                                                          
		), $atts )
    );
ob_start();


?>

		<!-- START HEADER TITLE-->
		<div class="section-title text-center wow zoomIn">
			<h2><?php echo keeway_wp_kses($sec_title);?></h2>
			<div class="sec_icon"><span></span><span></span><span></span></div>
		</div>	

		<!-- END HEADER TITLE -->	

<?php 
  return ob_get_clean();
}
add_shortcode ('header_title_area', 'keeway_header_title_area' );


//Features Area
function keeway_feature_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                   
			'sec_title' => 'Keeway <span>Features</span>', 		
			'number_of_post' => '4',                                                                                          
		), $atts )
    );
ob_start();

?>

<!-- START FEATURE-->
<section id="about" class="features">
	<div class="container">
		<div class="section-title text-center wow zoomIn">
			<h2><?php echo keeway_wp_kses($sec_title);?></h2>
			<div class="sec_icon"><span></span><span></span><span></span></div>
		</div>
		<div class="row text-center">			
			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'feature' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$keeway_features_query = new WP_Query( $args );

				// The Loop
				if ( $keeway_features_query->have_posts() ) {
					while ( $keeway_features_query->have_posts() ) {
						$keeway_features_query->the_post();
						$keeway_feature_icon = get_post_meta(get_the_ID(),'_keeway_feature_icon', true);
							
					?>	
				
						<div class="col-xl-4 col-lg-4 col-md-6 col-12 wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
							<div class="single_about">
								<i class="<?php echo esc_attr($keeway_feature_icon);?> about_icon"></i>
								<h4><?php the_title();?></h4>
								<p><?php the_content();?></p>
								
							</div>						
						</div><!--- END COL -->
				
			<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>		
			
		</div><!--- END ROW -->								
	</div><!--- END CONTAINER -->
</section>
<!-- END FEATURE -->	

<?php 
  return ob_get_clean();
}
add_shortcode ('feature_area', 'keeway_feature_area' );

//Skill Content Area
function keeway_skill_content_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                        
			'skill_title' => 'What We Do',    		
            'skill_content' => 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore. ',

		), $atts )
    );
ob_start();


?>

		<div class="skill_content">
			<h3><?php echo esc_html($skill_title);?></h3>
			<?php echo keeway_wp_kses($skill_content);?>
			<ul class="skill_list">
				<?php echo do_shortcode($content);?>
			</ul>
		</div>
	
<?php 
  return ob_get_clean();
}
add_shortcode ('skill_content_area', 'keeway_skill_content_area' );

//Child of Skill Content
function keeway_child_skill_content( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                        
			'skill_icon' => 'fa fa-check',    		
            'skill_text' => 'Design',

		), $atts )
    );
ob_start();


?>

	<li><?php echo esc_html($skill_text);?></li>
	
<?php 
  return ob_get_clean();
}
add_shortcode ('child_skill_content', 'keeway_child_skill_content' );


//Prograss Area
function keeway_progress_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                         
			'progress_text'	=>	'Design',			
			'progress_number'	=> '95',
			
		), $atts )
    );
ob_start();


?>
	
		<!-- START PROGRASS BAR -->

		<div class="progress-bar-linear">
			<p class="progress-bar-text"><?php echo esc_html($progress_text);?></p>
			<div class="progress-bar">
				<span data-percent="<?php echo esc_attr($progress_number);?>"></span>
			</div>
		</div>	
						
		<!-- END PROGRASS BAR -->			
	
<?php 
  return ob_get_clean();
}
add_shortcode ('progress_area', 'keeway_progress_area' );

//Why Choose Area
function keeway_why_choose_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                         
			'number_count'	=>	'01',
            'sec_title' => 'Unique Ideas',                                                                                                                       
            'sec_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras interdum ante vel aliquet euismod. Curabitur accumsan vitae',                                                                                                                                                                          
		), $atts )
    );
ob_start();


?>

<!-- START WHY CHOOSE US -->												
<div class="single_feature">
	<div class="feat_number"><?php echo esc_html($number_count);?></div>
	<div class="single_f_content">
		<h4><?php echo esc_html($sec_title);?></h4>
		<p><?php echo esc_html($sec_subtitle);?></p>	
	</div>
</div>
<!-- END WHY CHOOSE US -->	

<?php 
  return ob_get_clean();
}
add_shortcode ('why_choose_area', 'keeway_why_choose_area' );


//Responsive_Image_Area
function keeway_responsive_image_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                         
			'sec_bg_img'	=>	'',
		                                                                                                                                                                       
		), $atts )
    );
ob_start();

$bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>
								
	<img src="<?php echo esc_url($bg_img[0]);?>" class="img-responsive" alt="" />

<?php 
  return ob_get_clean();
}
add_shortcode ('responsive_image_area', 'keeway_responsive_image_area' );

//Services Area
function keeway_service_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(               
			'ser_sec_title' => 'our <span>service</span>', 				
            'number_of_post' => '6',                                                                                                                
		), $atts )
    );
ob_start();


?>

		<!-- START SERVICE  -->
		<section id="service" class="our_service section-padding">
			<div class="container">
				<div class="row text-center">
				
				<div class="section-title wow zoomIn">
					<h2><?php echo keeway_wp_kses($ser_sec_title);?></h2>
					<div class="sec_icon"><span></span><span></span><span></span></div>
				</div>
			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'service' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$keeway_services_query = new WP_Query( $args );

				// The Loop
				if ( $keeway_services_query->have_posts() ) {
					while ( $keeway_services_query->have_posts() ) {
						$keeway_services_query->the_post();
						$keeway_service_icon = get_post_meta(get_the_ID(),'_keeway_service_icon', true);
							
						?>

					<div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 col-12 wow fadeIn" data-wow-duration="1s" data-wow-delay="0.1s" data-wow-offset="0">
						<div class="single_service">
							<i class="<?php echo esc_attr($keeway_service_icon);?>"></i>
							<div class="ser_content">
								<h4><?php the_title();?></h4>
								<p><?php the_content();?></p>
							</div>
						</div>
					</div><!--END COL -->

				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>		

			

		</div><!-- END ROW-->
	</div><!-- END CONTAINER-->
</section>
<!-- END Services -->	

<?php 
  return ob_get_clean();
}
add_shortcode ('services_area', 'keeway_service_area' );


//Work Area
function keeway_work_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                  
			'ser_sec_title' => 'Latest <span>works</span>', 				
			'number_of_post' => '-1',         
		), $atts )
    );
ob_start();


?>

	<!-- START PORTFOLIO -->	
	<section id="portfolio" class="works_area section-padding">	
		<div class="container text-center">
				<div class="section-title wow zoomIn">
					<h2><?php echo keeway_wp_kses($ser_sec_title);?></h2>
					<div class="sec_icon"><span></span><span></span><span></span></div>
				</div>
				<div class="col-md-12">
					<div class="our_work_menu">
					
				<?php $terms = get_terms('work_cat');
					if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
				?>
				<ul>
					<li class="filter wow fadeIn" data-wow-duration="1.5s" data-wow-delay=".25s" data-filter="all"><?php esc_html_e('All' , 'keeway');?></li>
					<?php foreach ( $terms as $term ) : ?>
					<li class="filter" data-filter="<?php echo esc_attr($term->slug); ?>"><?php echo esc_html($term->name); ?></li>			
					<?php endforeach;?>
				</ul>
			<?php } ?>	

					</div>				
				</div>
				
			<div class="work_all_item">
				<div class="row ">
			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'work' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$keeway_works_query = new WP_Query( $args );

				// The Loop
				if ( $keeway_works_query->have_posts() ) {
					while ( $keeway_works_query->have_posts() ) {
						$keeway_works_query->the_post();
						$keeway_work_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'keeway_image_1200_1200');
						$portfolio_terms = get_the_terms(get_the_id(), 'work_cat');
						
						if ( ! empty( $portfolio_terms ) && ! is_wp_error( $portfolio_terms ) ):
							
							$portfolios_cat_slug = array();
							
							foreach($portfolio_terms as $portfolio_term){
								$portfolios_cat_slug[] = $portfolio_term->slug ;
							}
							
							$portfolios_cat_array = join(" ", $portfolios_cat_slug);
							$portfolios_class_array = join(" ", $portfolios_cat_slug);
						endif;
						?>
						
						<div class="grid-item col-xl-4 col-lg-4 col-md-6 col-sm-6 col-12 mix all <?php echo esc_attr($portfolios_class_array);?>">
							<div class="single_our_work">
								<div class="sing_work_photo">
									<figure>								
										<img src="<?php echo esc_url($keeway_work_image[0]);?>" alt="img">
										<div class="sing_work_text_link">
											<div class="sing_work_content_wrap">
												<div class="sing_work_content">																			
													<a href="<?php echo esc_url($keeway_work_image[0]);?>" class="lightbox search" data-gall="gall-work"><h4><?php the_title();?></h4></a>
													<p>
													<?php $cat_name = get_the_terms(get_the_id(), 'work_cat');
														if ( ! empty( $cat_name ) && ! is_wp_error($cat_name) ){
															 foreach ( $cat_name as $term ) {
																echo esc_html($term->name); 
															}
															
														} ?>

													</p>
												</div>
											</div>
										</div>	
									</figure>
								</div>				
							</div>	
						</div>						
						<?php
					}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>				
				</div>
															
			</div>						
		</div>			
	</section>		
	<!-- END PORTFOLIO -->	

<?php 
  return ob_get_clean();
}
add_shortcode ('work_area', 'keeway_work_area' );

//Counter Area
function keeway_counter_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                  
            'sec_count' => '2500',                                                                                                                                                                                                        
            'sec_title' => 'Projects Finished',


			
		), $atts )
    );
ob_start();


?>

		<div class="tcol_3" data-wow-duration="1s" data-wow-delay="0.2s" data-wow-offset="0">
			<div class="counter">
				<h2 class="timer"> <?php echo esc_html($sec_count);?></h2>  
				<h5><?php echo esc_html($sec_title);?></h5>
			</div>
		</div> <!--- END COL -->  

<?php 
  return ob_get_clean();
}
add_shortcode ('counter_area', 'keeway_counter_area' );

//Video Area
function keeway_video_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                  
                                                                                                                         
            'sec_title' => 'Watch Video', 
            'sec_content' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry \'s standard dummy <br>text ever since the 1500s, when an unknown printer.',  			
            'video_url' => 'https://www.youtube.com/watch?v=46zPW2BgMOA', 
			
		), $atts )
    );
ob_start();

?>

		<!-- START ABOUT US -->
		<section data-stellar-background-ratio="0.3" id="video" class="about_video section-padding">
			<div class="container">
				<div class="row">
					<div class="col-12 text-center">
						<div class="video-container">                  
							<a href="<?php echo esc_url($video_url);?>" class="modal_icon">
							<span class="play-video"><span class="fa fa-play"></span></span></a>
							<h4><?php echo esc_html($sec_title);?></h4>
							<p><?php echo keeway_wp_kses($sec_content);?></p>
						</div>
						<!-- VIDEO POPUP -->

					</div><!--- END COL -->					
				</div><!--- END ROW -->
			</div><!--- END CONTAINER -->	
		</section>
		<!-- END ABOUT US -->

<?php 
  return ob_get_clean();
}
add_shortcode ('video_area', 'keeway_video_area' );

//Team Area
function keeway_team_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                  
          'sec_title' => 'Our <span>Experts</span>',
          'number_of_post' => '4',
			
			
		), $atts )
    );
ob_start();

?>
		
<!-- START OUR TEAM -->
<section id="team" class="our_team">
	<div class="container text-center">				
			<div class="section-title wow zoomIn">
				<h2><?php echo keeway_wp_kses($sec_title);?></h2>
				<div class="sec_icon"><span></span><span></span><span></span></div>
			</div>	
			
			<div class="row">
			<?php
				// WP_Query arguments
				$args = array(
					'post_type'              => array( 'team' ),
					'posts_per_page'         => $number_of_post,
				);

				// The Query
				$keeway_team_query = new WP_Query( $args );

				// The Loop
				if ( $keeway_team_query->have_posts() ) {
					while ( $keeway_team_query->have_posts() ) {
						$keeway_team_query->the_post();
						
						$keeway_team_designation = get_post_meta(get_the_ID(),'_keeway_team_designation', true);
						$keeway_team_group_field_opt = get_post_meta(get_the_ID(),'_keeway_team_group_field_opt', true);
				
					?>	
				
					<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 col-12">
						<div class="single_team">
							<div class="img_wrap">
								<?php the_post_thumbnail('keeway_image_481_768', array('class' => 'img-responsive' ));?>
								<div class="social_link">
									<h3><?php the_title();?></h3>
									<p><?php echo esc_html($keeway_team_designation);?></p>
	
									<ul class="list-inline">
																		
									<?php
										foreach ( (array) $keeway_team_group_field_opt as $key => $team_entry ) {

											$icon = $link = '';

											if ( isset( $team_entry['_keeway_team_social_icon'] ) )
												$icon = $team_entry['_keeway_team_social_icon'];	

											if ( isset( $team_entry['_keeway_team_social_link'] ) )
												$link = $team_entry['_keeway_team_social_link'];	

											?>
												
												<li> <a href="<?php echo esc_url($link);?>"><i class="<?php echo esc_attr($icon);?>"></i></a></li>
										
										<?php } ?>	
									</ul>
								</div>
							</div>
						</div>			
					</div>
					<!-- End Col -->
				
			<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();
			?>	
			</div>
		</div>			
</section>
<!-- END TEAM -->		

<?php 
  return ob_get_clean();
}
add_shortcode ('team_area', 'keeway_team_area' );


//Newsletter Area
function keeway_newsletter_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                                           
            'sec_title' => 'Sign Up for Newsletter',
            'sec_content' => 'Lorem Ipsum is simply dummy text of the printing', 	
            'enter_shortcode' => '', 	
			
		), $atts )
    );
ob_start();

?>
		
	<!-- START NEWSLETTER -->
	<section class="newsletter">
		<div class="container">
			<div class="signup_form">
				<div class="row">
					<div class="col-xl-7 col-lg-7 col-12">
						<h3><?php echo esc_html($sec_title);?></h3>
						<p><?php echo esc_html($sec_content);?></p>
					</div>
					
					<div class="col-xl-5 col-lg-5 col-12">
						<!-- Replace the form action in the line below with your MailChimp embed action! -->
						<div class="form-inline validate newsletter_form">
							<?php echo do_shortcode($enter_shortcode);?>
						</div>							
					</div>
				</div>
			</div>	
		</div><!-- END CONTAINER -->
	</section>
	<!-- END NEWSLETTER -->
		

<?php 
  return ob_get_clean();
}
add_shortcode ('newsletter_area', 'keeway_newsletter_area' );

//Pricing Area
function keeway_Pricing_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(    
			'sec_title' => 'Pricing <span>Table</span>',		
            'number_of_post' => '3',

			
		), $atts )
    );
ob_start();
?>


<!-- START PRICING -->
<section id="pricing" class="pricing_table">
	<div class="container text-center">
			<div class="section-title wow zoomIn">
				<h2><?php echo keeway_wp_kses($sec_title);?></h2>
				<div class="sec_icon"><span></span><span></span><span></span></div>
			</div>	
			<div class="row text-center">
			<?php

			// WP_Query arguments
			$args = array(
			'post_type'              => array( 'pricing' ),
			'posts_per_page'         => $number_of_post,
			);

			// The Query
			$keeway_pricing_query = new WP_Query( $args );

			// The Loop
			if ( $keeway_pricing_query->have_posts() ) {
			while ( $keeway_pricing_query->have_posts() ) {
			$keeway_pricing_query->the_post();
			$keeway_pricing_period = get_post_meta(get_the_ID(),'_keeway_pricing_period', true);
			$keeway_pricing_amount = get_post_meta(get_the_ID(),'_keeway_pricing_amount', true);
			$keeway_pricing_group_field_opt = get_post_meta(get_the_ID(),'_keeway_pricing_group_field_opt', true);
			$keeway_pricing_btn_text = get_post_meta(get_the_ID(),'_keeway_pricing_btn_text', true);
			$keeway_pricing_btn_link = get_post_meta(get_the_ID(),'_keeway_pricing_btn_link', true);
			?>

			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 col-12 text-center">
				<div class="pricing-table feature">
					<h3><?php the_title();?></h3>
					<div class="price">
						<span><?php echo esc_html($keeway_pricing_amount);?></span>
						<?php echo esc_html($keeway_pricing_period);?>
					</div>
					<ul class="pricing-list">
						<?php
						foreach ( (array) $keeway_pricing_group_field_opt as $key => $pricing_entry ) {

							$feature = $icon = '';

							if ( isset( $pricing_entry['_keeway_pricing_icon'] ) )
								$icon = $pricing_entry['_keeway_pricing_icon'];	

							if ( isset( $pricing_entry['_keeway_single_feature'] ) )
								$feature = $pricing_entry['_keeway_single_feature'];	

							?>
							
								<li><i class="<?php echo esc_attr($icon);?>"></i> <?php echo esc_html($feature);?></li>
						
						<?php } ?>	

					</ul>
					
					<div class="pricing-btn">
						<a href="<?php echo esc_html($keeway_pricing_btn_link);?>" class="btn-light-bg"><?php echo esc_html($keeway_pricing_btn_text);?></a>
					</div>
				</div><!-- END PRICING TABLE -->
			</div><!-- END COL -->

			<?php	}
			} else {
				// no posts found
			}

			// Restore original Post Data
			wp_reset_postdata(); ?>

		</div><!--END  ROW  -->
	</div><!-- END CONTAINER  -->
</section>
<!-- END PRICING -->

<?php						
 
  return ob_get_clean();
}
add_shortcode ('Pricing_area', 'keeway_Pricing_area' );

//Testimonals Area
function keeway_testimonals_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                  
                                                                                                                 
		), $atts )
    );
ob_start();


?>

<!-- Start testimonials -->
<section class="testimonials_area">
		<div class="container">
			<div class="row">
				<div class="col-xl-8 mx-auto">
					<div class="testimonials_carousel owl-carousel text-center">
						
						<?php 
					
						// WP_Query arguments
						$args = array(
							'post_type'              => array( 'testimonials' ),
							'posts_per_page'         => '-1',
						);

						// The Query
						$keeway_testimonials_query = new WP_Query( $args );

						// The Loop
						if ( $keeway_testimonials_query->have_posts() ) {
							while ( $keeway_testimonials_query->have_posts() ) {
								$keeway_testimonials_query->the_post();
								
								?>
	
								<div class="single_testimonial">	
									<div class="avatar">
										<?php the_post_thumbnail('keeway_image_300_300', array('class' => 'img-responsive',));?>
									</div>
									<p><?php the_content();?></p>
									<h5><?php the_title();?></h5>									
								</div>		
												
							<?php	// do something
							}
						} else {
							// no posts found
						}

						// Restore original Post Data
						wp_reset_postdata();							
					?>

						
					</div>
				</div>
			</div>
		</div>
</section>
<!-- End testimonials -->	

<?php						
 
  return ob_get_clean();
}
add_shortcode ('testimonals_area', 'keeway_testimonals_area' );

//Partnar Area
function keeway_partner_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                             
			
		), $atts )
    );
ob_start();

?>


	<!-- START COMPANY PARTNER LOGO  -->
		<div class="partner-logo ">
				<div class="container">
					<div class="row">
						<div class="col-12">
							<div class="partner owl-carousel wow fadeIn">
							<?php 
							
								// WP_Query arguments
								$args = array(
									'post_type'              => array( 'partner' ),
									'posts_per_page'         => -1,
								);

								// The Query
								$keeway_partner_query = new WP_Query( $args );

								// The Loop
								if ( $keeway_partner_query->have_posts() ) {
									while ( $keeway_partner_query->have_posts() ) {
										$keeway_partner_query->the_post();
										$keeway_partner_link = get_post_meta(get_the_ID(),'_keeway_partner_link', true);
										?>
										
		
											<a href="<?php echo esc_url($keeway_partner_link);?>" target="_blank"><?php the_post_thumbnail('', array('class' => 'img-responsive',));?></a>
						    	
														
									<?php	// do something
									}
								} else {
									// no posts found
								}

								// Restore original Post Data
								wp_reset_postdata();							
							?>
	
						    	
						    	
							</div>
						</div><!-- END COL  -->
					</div><!--END  ROW  -->
				</div><!-- END CONTAINER  -->
		
		</div>
		<!-- END COMPANY PARTNER LOGO -->
		

<?php						
 
  return ob_get_clean();
}
add_shortcode ('partner_area', 'keeway_partner_area' );

//FAQ
function keeway_blog_shortcode( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                         
            'sec_title' => 'Latest <span>blog</span>',                                                                                                                                                                                                                                                               
            'number_of_post' => '3',                                                                                                                                                                                                                                                               
            'read_more_btn_text' => 'Learn More',                                                                                                                                                                                                                                                               
		), $atts )
    );
ob_start();

?>



		<!-- START HOME BLOG -->
		<section id="blog" class="home_blog section-padding">
			<div class="container">
				<div class="section-title text-center wow zoomIn">
					<h2><?php echo keeway_wp_kses($sec_title);?></h2>
					<div class="sec_icon"><span></span><span></span><span></span></div>
				</div>	
				<div class="blog_wrap grid-blog">
					<div class="row">
					<?php
					// WP_Query arguments
					$args = array(
						'post_type'              => array( 'post' ),
						'posts_per_page'         => $number_of_post,
					);

					// The Query
					$keeway_post_query = new WP_Query( $args );

					// The Loop
					if ( $keeway_post_query->have_posts() ) {
						while ( $keeway_post_query->have_posts() ) {
							$keeway_post_query->the_post();
							$keeway_btn_text = get_post_meta(get_the_ID(),'_keeway_btn_text', true);
							
							?>
							
							<div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 col-12 wow fadeIn">
								<div class="home_single_blog">
									<?php the_post_thumbnail('keeway_image_850_530', array('class' => 'img-responsive blog-photo', ));?>
									<div class="home_blog_text">									
										 <h4><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>										
										 <p><?php keeway_readmore_content(15);?></p>
										<a class="blog_btn" href="<?php the_permalink();?>"><?php echo esc_html($read_more_btn_text);?></a>
									</div>
								</div><!--- END SINGLE BLOG POST -->
							</div><!--- END COL -->
					
							
					<?php	}
					} else {
						// no posts found
					}

					// Restore original Post Data
					wp_reset_postdata();
			?>			
					</div>
				</div>
			</div><!--- END CONTAINER -->
		</section>
		<!-- END HOME BLOG -->
		

<?php						
 
  return ob_get_clean();
}
add_shortcode ('blog_shortcode', 'keeway_blog_shortcode' );

//Contact Us Area
function keeway_contact_us_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array( 
		
			'sec_title' => 'Contact <span>Us</span>',   			
			'sec_cont_f7_short_id' => '',  			
			'api_key' => 'AIzaSyBuU_0_uLMnFM-2oWod_fzC0atPZj7dHlU',  			
			'latitude' => '40.7127837',  			
			'longitude' => '-74.00594130000002',  			
						
		), $atts )
    );
ob_start();

?>
<!-- START CONTACT FORM-->
		<section id="contact" class="contact_area section-padding">
			<div class="container">
				<div class="row">		
					<div class="section-title text-center wow zoomIn">
						<h2><?php echo keeway_wp_kses($sec_title);?></h2>
						<div class="sec_icon"><span></span><span></span><span></span></div>
					</div>						
					
					<div class="col-xl-6 col-lg-6 col-12">
						<!-- map js -->
						<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo esc_js($api_key);?>"></script>
						<script>
							function initialize() {
							  var mapOptions = {
								zoom: 16,
								scrollwheel: false,
								center: new google.maps.LatLng(<?php echo esc_js($latitude);?>, <?php echo esc_js($longitude);?>)
							  };
							  var map = new google.maps.Map(document.getElementById('map'),
								  mapOptions);
							  var marker = new google.maps.Marker({
								position: map.getCenter(),
								icon: '<?php echo esc_url(get_template_directory_uri());?>/assets/img/map_pin.png',
								map: map
							  });
							}
							google.maps.event.addDomListener(window, 'load', initialize);				
						</script>
						<div id="map"></div>
					<!-- END MAP -->
					</div>
					
					<div class="col-xl-6 col-lg-6 col-12">
						<div class="contact">
							<div id="contact-form">
								
								<?php echo do_shortcode('[contact-form-7 id="'.esc_attr($sec_cont_f7_short_id).'"]' );?>
								
								
							</div>
						</div>
					</div><!-- END COL -->
				</div><!--- END ROW -->				
			</div><!--- END CONTAINER -->	
		</section>
		<!-- END CONTACT FORM -->
<?php						
 
  return ob_get_clean();
}
add_shortcode ('contact_us_area', 'keeway_contact_us_area' );
