<?php
class keeway_latest_Post_Widget extends WP_Widget {
 
    function __construct() {
 
        parent::__construct(
            'keeway-latest-post',  // Base ID
            'Keeway: Latest Post'   // Name
        );
 
        add_action( 'widgets_init', function() {
            register_widget( 'keeway_latest_Post_Widget' );
        });
 
    }
 
    
 
    public function widget( $args, $instance ) {
 
        echo $args['before_widget'];
 
        if ( ! empty( $instance['title'] ) ) {
            echo $args['before_title'] . apply_filters( 'widget_title', $instance['title'] ) . $args['after_title'];
        }
		
		$post_number = $instance['number'];
	?>
       
		<ul class="latest_post_widget">
		<?php
		$pargs = array(
			'post_type' => 'post',
			'posts_per_page' => $post_number,
			'has_password' => false
		);
		$post = new WP_Query($pargs);
		if($post->have_posts()):
		?>
		<?php while($post->have_posts()): $post->the_post(); ?>
		<?php if(has_post_thumbnail()): ?>
		<?php
			$permalink = get_permalink();
			$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ),'keeway_image_120_100' );
		
		?>
			
			<li>
				<div class="float-start latest_post_image">
					<a href="<?php echo esc_url($permalink); ?>"><img src="<?php echo esc_url($image[0]); ?>" alt=""></a>
				</div>
				<div class="latest_post_txt">
					<p><?php the_time('F j, Y'); ?></p>
					<h5><a href="<?php echo esc_url($permalink); ?>"><?php the_title(); ?></a></h5>
					
				</div>
			</li>

		
		<?php endif; endwhile; endif; 
		wp_reset_postdata();
		?>
		
		</ul>

        
	<?php
	
	echo $args['after_widget'];
    }
 
    public function form( $instance ) {
 
        $title = ! empty( $instance['title'] ) ? $instance['title'] : esc_html__( 'Latest Post', 'appal' );
        $number = ! empty( $instance['number'] ) ? $instance['number'] : esc_html__( '3', 'appal' );
        ?>
        <p>
        <label for="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>"><?php echo esc_html__( 'Title:', 'appal' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'title' ) ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>">
        </p>
        <p>
            <label for="<?php echo esc_attr( $this->get_field_id( 'number' ) ); ?>"><?php echo esc_html__( 'Number of Posts:', 'appal' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'number' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'number' ) ); ?>" type="text" value="<?php echo esc_attr( $number ); ?>">
        </p>
        <?php
 
    }
 
    public function update( $new_instance, $old_instance ) {
 
        $instance = array();
 
        $instance['title'] = ( !empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['number'] = ( !empty( $new_instance['number'] ) ) ? $new_instance['number'] : '';
 
        return $instance;
    }
 
}
$keeway_latest_post = new keeway_latest_Post_Widget();
?>